Skip to main content
PATCH
/
webhooks
/
{id}
Update a webhook
curl --request PATCH \
  --url https://staging-api.chip-in.asia/api/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'checksum: <checksum>' \
  --header 'epoch: <epoch>'
{
  "id": 1,
  "name": "Send Instruction Notifications (Updated)",
  "public_key": "-----BEGIN PUBLIC KEY-----\nMIIBojANBgkqhkiG9w0BAQEFAAOCAY8AMIIBigKCAYEA6gLlBKxCB5dxPJbinCzl\nhOfKSgQtOWQQBxmnWIkEVUbqhpnqr3xNYiAvDyMUxYUwuzN44eHO+mR9MZWcSx3c\nbXmKa3gsOzR6GdcOxMGaVxvfje+fujCAlCtO1BP+A9/FS3KcPgCYG1wtAPwA5IAf\nHylL3TsUVIJQFBgiBr6N4Bgapr9eloaFfeYIBRsXmxPKAMJivqxYpLh0V3N4ZFd5\nTGqSEAa4b1ULDr6p0sB2L3QikTdsF0zp03zNceKA6fXDOzD0xWtg9buXvyKwePK4\nM2kcnWBNfsWghrdg0fG3O9bmkaS1oEXydrmJfuiI8h6a64J/1nzooi2yLC9D6Ta0\nS63bbuAHymnQtiNuV7Ixp6IoTGFaS88aTiHaP8rdyWV8JTDFx0qeDzyaGWiYGwEF\nmj/buHCEcRhoajbGkPhYA4YEdn4jy1wZhEr2OMdBPM7mPPI0Hy3hcNJVMVVlrpHe\nIltQATpjlNaJMlRPjbcaiW7dsO3BuF9ZOMGksSOnyYm/AgMBAAE=\n-----END PUBLIC KEY-----",
  "callback_url": "https://api.merchant.example/webhooks/chip-send",
  "email": "webhooks@example.com",
  "event_hooks": [
    "bank_account_status",
    "budget_allocation_status",
    "send_instruction_status"
  ],
  "created_at": "2024-06-15T08:00:00.000Z",
  "updated_at": "2024-06-20T11:42:15.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

epoch
integer<int64>
required

Unix epoch timestamp Unix timestamp (seconds).

Example:

1619740800

checksum
string
required

Refer to checksum calculation

Path Parameters

id
integer<int64>
required
Example:

1

Query Parameters

name
string
required
Example:

"Send Instruction Notifications (Updated)"

Response

Successful response

A webhook subscription that delivers event notifications to your server.

id
integer<int64>
Example:

1

name
string
public_key
string
read-only

PEM-encoded RSA public key for authenticating webhook or callback payloads

Example:

"-----BEGIN PUBLIC KEY-----\nMIIBojANBgkqhkiG9w0BAQEFAAOCAY8AMIIBigKCAYEA6gLlBKxCB5dxPJbinCzl\nhOfKSgQtOWQQBxmnWIkEVUbqhpnqr3xNYiAvDyMUxYUwuzN44eHO+mR9MZWcSx3c\nbXmKa3gsOzR6GdcOxMGaVxvfje+fujCAlCtO1BP+A9/FS3KcPgCYG1wtAPwA5IAf\nHylL3TsUVIJQFBgiBr6N4Bgapr9eloaFfeYIBRsXmxPKAMJivqxYpLh0V3N4ZFd5\nTGqSEAa4b1ULDr6p0sB2L3QikTdsF0zp03zNceKA6fXDOzD0xWtg9buXvyKwePK4\nM2kcnWBNfsWghrdg0fG3O9bmkaS1oEXydrmJfuiI8h6a64J/1nzooi2yLC9D6Ta0\nS63bbuAHymnQtiNuV7Ixp6IoTGFaS88aTiHaP8rdyWV8JTDFx0qeDzyaGWiYGwEF\nmj/buHCEcRhoajbGkPhYA4YEdn4jy1wZhEr2OMdBPM7mPPI0Hy3hcNJVMVVlrpHe\nIltQATpjlNaJMlRPjbcaiW7dsO3BuF9ZOMGksSOnyYm/AgMBAAE=\n-----END PUBLIC KEY-----"

callback_url
string<url>
Maximum string length: 500
Example:

"https://api.merchant.example/webhooks/chip-send"

email
string<email>
event_hooks
enum<string>[]

List of events to trigger webhook callbacks for.

Minimum array length: 1

Available event types and when they are emitted:

bank_account_status: Emitted when a company bank account's status changes. This occurs when CHIP processes the bank account for verification.


budget_allocation_status: Emitted when a budget allocation's status changes. This occurs when an approver approves the increment.


send_instruction_status: Emitted when a company send instruction's status changes. This occurs when CHIP processes the instruction with the bank.


Available options:
bank_account_status,
budget_allocation_status,
send_instruction_status
created_at
string<date-time>
read-only

Object creation time in UTC.

updated_at
string<date-time>
read-only

Object updated time in UTC.